/////////////////////////////////////////////////////////////////////////////
// Name:        devdjcdlg.h
// Purpose:     Header file, GUI for DJ Console Dialog.
// Author:      Yann Hamiaux
// Modified by: -
// Created:     02/15/2008
// Copyright:   Written for Guillemot Corporation by Yann Hamiaux
// Licence:     The GNU General Public License v2+.
/////////////////////////////////////////////////////////////////////////////
#include "gdialog.h"

#ifndef __DEV_DJC_DLG_H__
#define __DEV_DJC_DLG_H__


#define IDC_DJC_HERCULES_LOGO			100
#define IDC_DJC_SPK_BACKGROUND			101
#define IDC_DJC_SPK_LEFT			102
#define IDC_DJC_SPK_TOP				103
#define IDC_DJC_SPK_RIGHT			104
#define IDC_DJC_SPK_SLEFT			105
#define IDC_DJC_SPK_SRIGHT			106
#define IDC_DJC_SPK_LFE				107
#define IDC_DJC_SPK_ID_1			108
#define IDC_DJC_SPK_ID_2			109
#define IDC_DJC_SPK_ID_3			110
#define IDC_DJC_SPK_ID_4			111
#define IDC_DJC_SPK_ID_5			112
#define IDC_DJC_SPK_ID_6			113
#define IDC_DJC_SPK_MINI_VOL_1			114
#define IDC_DJC_SPK_MINI_VOL_2			115
#define IDC_DJC_SPK_MINI_VOL_3			116
#define IDC_DJC_SPK_MINI_VOL_4			117
#define IDC_DJC_SPK_MINI_VOL_5			118
#define IDC_DJC_SPK_MINI_VOL_6			119
#define IDC_DJC_SPK_MASTER_VOL			120
#define IDC_DJC_DJ_MODE				121
#define IDC_DJC_SAMP_RATE			122
#define IDC_DJC_CHECKBOX_DJ_MOUSE		123
#define IDC_DJC_MASTER_MUTE			124
#define IDC_DJC_COMBO_REC_INPUT			125
#define IDC_DJC_COMBO_MIDI			126
#define IDC_DJC_STATIC_NORMAL			127
#define IDC_DJC_STATIC_DJ			128
#define IDC_DJC_STATIC_44100			129
#define IDC_DJC_STATIC_48000			130
#define IDC_DJC_STATIC_MIDI_IN			131
#define IDC_DJC_STATIC_REC_IN			132
#define IDC_DJC_STATIC_MASTER_VOL		133
#define IDC_DJC_VOL12				134
#define IDC_DJC_VOL34				135
#define IDC_DJC_VOL56				136
#define IDC_DJC_BAL12				137
#define IDC_DJC_BAL34				138
#define IDC_DJC_BAL56				139
#define IDC_DJC_MUTE12				140
#define IDC_DJC_MUTE34				141
#define IDC_DJC_MUTE56				142
#define IDC_DJC_CHECKBOX_TALKOVER_ATT		143
#define IDC_DJC_SPKSEL_12			144
#define IDC_DJC_SPKSEL_34			145
#define IDC_DJC_STATIC_CH12_LABEL1		146
#define IDC_DJC_STATIC_CH12_LABEL2		147
#define IDC_DJC_STATIC_CH34_LABEL1		148
#define IDC_DJC_STATIC_CH34_LABEL2		149
#define IDC_DJC_STATIC_CH56_LABEL1		150
#define IDC_DJC_STATIC_CH56_LABEL2		151
#define IDC_DJC_TALK_ATTENUATION_SLIDER		152
#define IDC_DJC_STATIC_TALK_ATT_LABEL		153
#define IDC_DJC_ON_AIR_STATUS			154
#define IDC_DJC_ABOUTBOX_BCKGRND		155
#define IDC_DJC_ABOUTBOX_STATIC_LINE1		156
#define IDC_DJC_ABOUTBOX_STATIC_LINE2		157
#define IDC_DJC_ABOUTBOX_STATIC_LINE3		158
#define IDC_DJC_ABOUTBOX_STATIC_LINE4		159
#define IDC_DJC_ABOUTBOX_STATIC_LINE5		160
#define IDC_DJC_ABOUTBOX_STATIC_LINE6		161
#define IDC_DJC_ABOUTBOX_STATIC_LINE7		162
#define IDC_DJC_ABOUTBOX_STATIC_LINE8		163
#define IDC_DJC_ABOUTBOX_STATIC_LINE9		164
#define IDC_DJC_ABOUTBOX_WEBLINK		165
#define IDC_DJC_ABOUTBOX_OK			166
#define IDC_DJC_ABOUTBOX_OK_LABEL		167


class CDevDjcDlg : CGDialog
{
public:
	CDevDjcDlg( wxMemoryDC *pSkinMemDC, wxMemoryDC *pSkinAlphaMemDC );
	~CDevDjcDlg( );

	// --- Functions not implemented in the base class --
	bool MouseEvent( int x, int y, int button, PREFRESH_RECT refreshRect );
	void InitializeDlgState( DJ_DEVICE_STATE *pDeviceState, CDManager *pDeviceManager );
	void InitializeMixerState( DJ_DEVICE_STATE *pDeviceState, CDManager *pDeviceManager );
	void InitializeHIDState( DJ_DEVICE_STATE *pDeviceState, CDManager *pDeviceManager );
	bool ApplyVolume( DJ_DEVICE_STATE *pDeviceState );

protected:
	void UpdateVolumeSlider( bool bRefreshSingle, bool bRefreshMaster, bool bRefreshStereo );
	void SetDJMode(unsigned long ulDJMode);
	void DisplayAboutBox(bool bDisplayAboutBox);

	CGButton	*m_pButtonTest;
	CGCheckBox	*m_pCheckBoxTest;

private:
};

#endif


