/////////////////////////////////////////////////////////////////////////////
// Name:        devmk2dlg.h
// Purpose:     Header file, GUI for DJ Console Mk2 Dialog.
// Author:      Yann Hamiaux
// Modified by: -
// Created:     02/15/2008
// Copyright:   Written for Guillemot Corporation by Yann Hamiaux
// Licence:     The GNU General Public License v2+.
/////////////////////////////////////////////////////////////////////////////
#include "gdialog.h"

#ifndef __DEV_MK2_DLG_H__
#define __DEV_MK2_DLG_H__


#define	IDC_MK2_HERCULES_LOGO			100
#define IDC_MK2_TAB_LEFT			101
#define IDC_MK2_TAB_CENTER			102
#define IDC_MK2_TAB_RIGHT			103
#define IDC_MK2_LOCK_12				104
#define IDC_MK2_LOCK_34				105
#define IDC_MK2_MUTE_12				106
#define IDC_MK2_MUTE_34				107
#define IDC_MK2_MIC				108
#define IDC_MK2_LINEIN				109
#define IDC_MK2_TALKOVER_ATT			110
#define IDC_MK2_HERCULES_LOGO_WDM		111
#define IDC_MK2_AUDIO_SRC_CH12			112
#define IDC_MK2_AUDIO_SRC_CH34			113
#define IDC_MK2_HEADPHONE_SELECTION		114
#define IDC_MK2_INPUT_34_DISABLE		115
#define IDC_MK2_ON_AIR				116
#define IDC_MK2_VOLUME_12			117
#define IDC_MK2_VOLUME_34			118
#define IDC_MK2_BALANCE_12			119
#define IDC_MK2_BALANCE_34			120
#define IDC_MK2_TALKOVER_SLIDER			121
#define IDC_MK2_STATIC_MAIN			122
#define IDC_MK2_STATIC_ADVANCED			123
#define IDC_MK2_STATIC_ABOUT			124
#define IDC_MK2_STATIC_TALK_ATT			125
#define IDC_MK2_STATIC_OUT_CHANNELS		126
#define IDC_MK2_STATIC_IN_CHANNELS		127
#define IDC_MK2_STATIC_TALKATT_VALUE		128
#define IDC_MK2_ADVANCED_TAB			129
#define IDC_MK2_ABOUT_TAB			130
#define IDC_MK2_USE_EXT_MIXER			131
#define IDC_MK2_DJ_MOUSE_ENABLE			132
#define IDC_MK2_COMBO_CROSS_FADER		133
#define IDC_MK2_STATIC_CROSS_FADER		135
#define IDC_MK2_STATIC_USE_EXT_MIXER		136
#define IDC_MK2_STATIC_ENABLE_DJ_MOUSE		137
#define IDC_MK2_DECK_MIX			138
#define IDC_MK2_STATIC_ABOUT_NOTE1		139
#define IDC_MK2_STATIC_ABOUT_NOTE2		140
#define IDC_MK2_STATIC_ABOUT_INFO1		141
#define IDC_MK2_STATIC_ABOUT_INFO2		142
#define IDC_MK2_STATIC_ABOUT_INFO3		143
#define IDC_MK2_STATIC_ABOUT_INFO4		144
#define IDC_MK2_STATIC_ABOUT_INFO5		145
#define IDC_MK2_STATIC_ABOUT_COPYRIGHT1		146
#define IDC_MK2_STATIC_ABOUT_COPYRIGHT2		147


class CDevMk2Dlg : CGDialog
{
public:
	CDevMk2Dlg( wxMemoryDC *pSkinMemDC, wxMemoryDC *pSkinAlphaMemDC );
	~CDevMk2Dlg( );

	bool MouseEvent( int x, int y, int button, PREFRESH_RECT refreshRect );
	bool SetTab( int nTab );

	// --- Functions not implemented in the base class ---
	void InitializeMixerState( DJ_DEVICE_STATE *pDeviceState, CDManager *pDeviceManager );
	void InitializeHIDState( DJ_DEVICE_STATE *pDeviceState, CDManager *pDeviceManager );
	void InitializeDlgState( DJ_DEVICE_STATE *pDeviceState, CDManager *pDeviceManager );
	bool ApplyVolume( DJ_DEVICE_STATE *pDeviceState );

protected:

private:
};

#endif


