/////////////////////////////////////////////////////////////////////////////
// Name:        devrmxdlg.h
// Purpose:     Header file, GUI for DJ Console Rmx Dialog.
// Author:      Yann Hamiaux
// Modified by: -
// Created:     02/15/2008
// Copyright:   Written for Guillemot Corporation by Yann Hamiaux
// Licence:     The GNU General Public License v2+.
/////////////////////////////////////////////////////////////////////////////
#include "gdialog.h"

#ifndef __DEV_RMX_DLG_H__
#define __DEV_RMX_DLG_H__


#define IDC_RMX_ADVANCED_TAB		100
#define IDC_RMX_ABOUT_TAB		101
#define IDC_RMX_HERCULES_LOGO		102
#define IDC_RMX_LINK_VOL_CH12		103
#define IDC_RMX_LINK_VOL_CH34		104
#define IDC_RMX_MUTE_CH12		105
#define IDC_RMX_MUTE_CH34		106
#define IDC_RMX_LINEIN_PHONO		107
#define IDC_RMX_MIC			108
#define IDC_RMX_TAB_MAIN		109	// Tab Buttons
#define IDC_RMX_TAB_ADVANCED		110
#define IDC_RMX_TAB_ABOUT		111
#define IDC_RMX_LINEIN_PHONO_CH34	112
#define IDC_RMX_STATIC_MAIN		113
#define IDC_RMX_STATIC_ADVANCED		114
#define IDC_RMX_STATIC_ABOUT		115
#define IDC_RMX_STATIC_OUT_CHANNEL	116
#define IDC_RMX_STATIC_IN_CHANNEL	117
#define IDC_RMX_BALANCE_12		118
#define IDC_RMX_BALANCE_34		119
#define IDC_RMX_VOLUME_1		120
#define IDC_RMX_VOLUME_2		121
#define IDC_RMX_VOLUME_3		122
#define IDC_RMX_VOLUME_4		123
#define IDC_RMX_STATIC_JOG_SETTINGS	124
#define IDC_RMX_STATIC_JOG_ENABLE	125
#define IDC_RMX_STATIC_JOG_SENSITIV	126
#define IDC_RMX_STATIC_ATT_DB		127
#define IDC_RMX_TALKOVER		128
#define IDC_RMX_CHECKBOX_TALK_ATT	129
#define IDC_RMX_COMBO_JOG_ENABLE	130
#define IDC_RMX_COMBO_JOG_SENSITIV	131
#define IDC_RMX_STATIC_OUT12_HWMIX	132
#define IDC_RMX_STATIC_MIDI_CH		133
#define IDC_RMX_CHECKBOX_USB_12		134
#define IDC_RMX_CHECKBOX_USB_12_MIC	135
#define IDC_RMX_CHECKBOX_USB_12_LIN	136
#define IDC_RMX_COMBO_MIDI		137
#define IDC_RMX_STATIC_ABOUT1		138
#define IDC_RMX_STATIC_ABOUT2		139
#define IDC_RMX_STATIC_ABOUT3		140
#define IDC_RMX_STATIC_ABOUT4		141
#define IDC_RMX_STATIC_ABOUT5		142
#define IDC_RMX_STATIC_ABOUT6		143
#define IDC_RMX_STATIC_ABOUT7		144


class CDevRmxDlg : CGDialog
{
public:
	CDevRmxDlg( wxMemoryDC *pSkinMemDC, wxMemoryDC *pSkinAlphaMemDC );
	~CDevRmxDlg( );

	bool SetTab( int nTab );
	bool MouseEvent( int x, int y, int button, PREFRESH_RECT refreshRect );

	// --- Functions not implemented in the base class --
	void InitializeDlgState( DJ_DEVICE_STATE *pDeviceState, CDManager *pDeviceManager );
	void InitializeMixerState( DJ_DEVICE_STATE *pDeviceState, CDManager *pDeviceManager );
	bool ApplyVolume( DJ_DEVICE_STATE *pDeviceState );

protected:

private:
};

#endif
