/////////////////////////////////////////////////////////////////////////////
// Name:        gbutton.h
// Purpose:     GUI button implementation using wxWidgets.
// Author:      Yann Hamiaux
// Modified by: -
// Created:     03/03/2008
// Copyright:   Written for Guillemot Corporation by Yann Hamiaux
// Licence:     The GNU General Public License v2+.
/////////////////////////////////////////////////////////////////////////////
#include "gcontrol.h"

#ifndef _GUILLEMOT_BUTTON_H_
#define _GUILLEMOT_BUTTON_H_


#define BUTTON_STATE_DISABLE		0
#define BUTTON_STATE_NORMAL		1
#define BUTTON_STATE_HIGHLIGHT		2
#define BUTTON_STATE_PRESSED		3

typedef struct BUTTON_COORDINATE
{
	int x, y;
} BUTTON_COORDINATE, *PBUTTON_COORDINATE;

typedef struct BUTTON_STATE_INFO
{
	BUTTON_COORDINATE	coordinates[4];
	int nProcessAlpha;	// If 0 BitBlt without processing alpha. Otherwise, 
				// consider 0xFF00FF has transparent color.
} BUTTON_STATE_INFO, *PBUTTON_STATE_INFO;


class CGButton : public CGControl
{
public:
	CGButton( PEVENT_LIST pEventList, int nControlID, int nPosX, int nPosY, int nWidth, int nHeight,
			wxMemoryDC *pSkinMemDC, wxMemoryDC *pSkinAlphaMemDC, int nStateCount, 
			PBUTTON_STATE_INFO pStateInfo );
	virtual ~CGButton();

	int	GetState();
	void	SetState(int nState);
	bool	MouseEvent( int x, int y, int button, bool *bMouseOverCtrl, PREFRESH_RECT pRefreshRect );
	void	Enable( bool bEnable );

	void Paint( wxDC *pDC, PREFRESH_RECT refreshRect );


protected:
	wxMemoryDC		*m_pSkinMemDC, *m_pSkinAlphaMemDC;
	int			 m_nStateCount;
	PBUTTON_STATE_INFO	 m_pStateInfo;
	int			 m_nCurrentState, m_nCurrentSubState;

private:
};


#endif
